#!/usr/bin/env python
# -*- coding:utf-8 -*-
# (c)Ing. Zdenek Dlauhy, Michal Dlauhý, info@dlauhy.cz
parameters = {}
parameters['PRODFUNC_HELP'] = [['add_area', "\n        :param area_id:\n        :type area_id: int or list\n        :param pos:\n        :type pos: list\n        :param size:\n        :type size: list\n        :param name:\n        :type name: string\n        :param dims: add dimension text info into drawing\n        :type dims: boolean True/False\n        :param save: save function\n        :type save: boolean\n        :param kind: kind of area, None = normal, 'DRAWER' = area for drawers only - draw_id\n\n        Adds numbered size specified area to product\n        "], ['add_backside', "\n        :param area_id: area id number or list of numbers of areas 1 or ``[0,1]`` in self.divs\n        :type area_id: int or list\n        :param pos: inserts part to specified location ``[100,20,50]`` -\n        :type pos: list\n        :param thickness: backside thickness 5 or product defaults if None\n        :type thickness: int or list\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n        :param mat: material id from database ``F509`` - open database library\n        :type mat: str\n        :param save: save function to data?\n        :type save: bool\n        :param info: element info object as ``{'fittings':{}, 'production':{},'visibility':'BACK'}``\n        :type info: dict\n        :param groove: depth of all grooves 15, or list ``[x left,x right,z bottom,z top]``\n        :type groove: int or list\n        :param offset: 0,3,5,7,18 - insert -> thickness offset of element near to back of main construction\n        :type offset: int\n\n        Will create main back side element dpending of size\n        post_diff - thickness of backside\n        "], ['add_bar', "\n        :param area_id: id of area 0 or 2 or ``[1,2,3]`` to apply on multiple areas\n        :type area_id: int or list\n        :param locations: id of inserting corners 0,1,2,3, numbered from left-down-front corner ``[0,2]``\n        :type locations: list\n        :param bar_length: axis of length X,Y,Z\n        :type bar_length: str\n        :param size: width of bar 90, or [width, thickness]\n        :type size: int or list\n        :param bar_width: axis of width X,Y,Z not same as as bar_length\n        :type bar_width: str\n        :param mat: code of material U108\n        :type mat: str\n        :param diff_X: True to change available space after inserting part in X\n        :type diff_X: bool\n        :param diff_Y: True to change available space after inserting part in Y\n        :type diff_Y: bool\n        :param diff_Z: True to change available space after inserting part in Z\n        :type diff_Z: bool\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n        :param edge: edges used on element ``['Z','G','H','F']``\n        :type edge: list\n        :param save: Save function\n        :type save: bool\n        :param info: element info object as ``{'fittings':{}, 'production':{},'visibility':'BACK'}``\n        :type info: dict\n        :param post_diff: same as diff but affects only function after this one\n        :type post_diff: list\n\n        Function to create and insert bars, sockles and other types of variable emlements.\n        "], ['add_base', "\n        :param area_id: area id number or list of numbers of areas 1 or ``[0,1]`` in self.divs\n        :type area_id: int or list\n        :param size: part size ``[600,330,18]`` or thickness ``32``\n        :type size: int or list\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n        :param mat: material id from database ``F509`` - open database library\n        :type mat: str\n        :param save: save function to data?\n        :type save: bool\n        :param info: element info object as ``{'fittings':{}, 'production':{},'visibility':'BACK'}``\n        :type info: dict\n\n        inserts bottom object into product\n        "], ['add_basic', "\n        :param area_id: area id number or list of numbers of areas 1 or ``[0,1]``\n        :type area_id: int or list\n        :param back: use if you want to add backside\n        :type back: int or False\n        :param variant: order in which parts are inserted ``H``,``I``,``T``,``O``\n        :type variant: str\n        :param socle: number - height of socle ``125``, replace prod.socle parametr\n        :type socle: int\n        :param save: use if you want save a function\n        :type save: bool\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n        :param info: element info object as ``{'fittings':{}, 'production':{},'visibility':'BACK'}``\n        :type info: dict\n        :param top_bars: insert width of top bars to replace Top element\n        :type top_bars: int\n\n        This function creates basic outer construction for product.\n        Just shortcut function instead of adding sides, top and base or socle separetly.\n        "], ['add_del_element', '\n        :param index: element index in product to remove\n        :type index: int or list\n\n        set status DELETED for elements specified by their index\n        '], ['add_diffs', '\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n        :param revert_last: True if u want to revert previous change to diffs made by this function\n        :type revert_last: bool\n        :param area_id: area where to apply changes - 0 or [0,2,3]\n        :type area_id: int or list\n        :param save: True If you want to save function run\n        :type save: bool\n\n        Changes actual usable space for next funtions for whole product or specified area.\n        '], ['add_dividers', "\n        :param area_id: number of area into which insert another divider\n        :type area_id: int or list\n        :param part_size: None - size of inserted divider part ``[700,300,18]``\n        :type part_size: list\n        :param mat: None - code name of material in database ``H1032``, ``F509``\n        :type mat: str\n        :param part: True if divider part should be inserted, False not to insert False/True\n        :type part: bool\n        :param areas: True if new areas should be created on each side of divider part True/False, 0,1\n        :type areas: bool or int\n        :param typ: orientation of divider part A,B,C or direction in which to divide area X,Y,Z\n        :type typ: str\n        :param array_dist: size of subareas ``[1,2,600,200,50,1]``\n            1,2..9 defines sizes of areas as ratio of remaining length to each other\n            10.. is actual inner size of area desired\n        :type array_dist: list of ints\n        :param array_dist: equal division of area into specified number of subareas\n        :type array_dist: int\n        :param info: element info object as ``{'fittings':{}, 'production':{},'visibility':'BACK'}``\n        :type info: dict\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n\n        function to create new division in product, which can then be\n        used as space limiter of other functions.\n        "], ['add_doors', "\n        :param area_id: 1,2 or ``[1,3,4]`` id of area to insert shelve\n        :type area_id: int or list\n        :param door_type: INSIDE/OUTSIDE/AUTOMAT - position of doors inside or outside of construciton\n        :type door_type: str\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n        :param pars_front: 5 numbers defining front gaps between fronts of drawers[left,right,bottom, top, between]\n        :type pars_front: list\n        :param number: number of doors\n        :type number: int\n        :param framed: 'FLAT' for flat doors, 'FRAMED' for framed construction\n        :type framed: str\n        :param stacking: Stacking of doors\n        :type stacking: str\n        :param mat: materi\xc3\xa1l DV ``'H1111'``\n        :type mat: str\n        :param handleOrientation: ``'VERTICAL'``/``'HORIZONTAL'``\n        :type handleOrientation: str\n        :param handleHeight: height of handle ``'TOP'``, ``'MID'``,``'DOWN'``\n        :type handleHeight: str\n        :param handleSide: handle position on side ``'LEFT'``, ``'RIGHT'``, ``'MID'``\n        :type handleSide: str\n        :param handlePos: position of hadle\n        :type handlePos: list\n        :param handleSize: velikost \xc3\xbachytky\n        :type handleSize: list\n        :param save: save function to save run or other more complex runs default True?\n        :type save: bool\n        :param info: element info object as ``{'fittings':{}, 'production':{},'visibility':'BACK'}``\n        :type info: dict\n        :param post_diff: same as diff but affects only function after this one\n        :type post_diff: list\n        :param style: 'FLAT' or 'FRAMED' - using default sizes in product\n        :type style: str\n\n        Doors for product based on input variables and mainly area ID.\n        "], ['add_drawers', "\n        :param area_id: number of area into which insert another divider\n        :type area_id: int or list\n        :param number: number of drawers ``3`` or ``[1,100,1,300]`` combination of size >10 and ratio of remaining space\n        :type number: int or list\n        :param pars_in: 6 numbers defining inside gaps [left, right, bottom,top,bottom of fronts, top of fronts]\n        :type pars_in: list\n        :param pars_front: 5 numbers defining front gaps between fronts of drawers[left,right,bottom, top, between]\n        :type pars_front: list\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n        :param drawer_type: overlay of front part\n        :type drawer_type: string\n        :param handle: True to insert handle element, False dont insert\n        :type: handle: bool\n        :param save: use if you want save a function\n        :type save: bool\n        :param info: element info object as ``{'fittings':{}, 'production':{},'visibility':'BACK'}``\n        :type info: dict\n\n        If drawer_type is set to OUTSIDE - front cover size will be increased in width\n        and height by construction thickness in all directions. After this dimension\n        change, pars_front parameters are applied to calculate front parts dimensions.\n\n        TODO: add options for handles(now automatic - middle)\n        TODO: new function for inside of drawer\n        TODO: unite inside height and define inside height\n        "], ['add_element', '\n        :param area_id: 1,2 id of area to insert shelve\n        :type area_id: int or list\n        :param pos: position of object ``[300,100,0]``\n        :type pos: list\n        :param size: size of object ``[100.100,33]``\n        :type size: list\n        :param typ: element type A,B or C\n        :type typ: str\n        :param mat: material name ``"H1111"``\n        :type mat: str\n        :param rot: rotation of element ``[10,15,30]``\n        :type rot: list\n        :param name: name of element\n        :type name: str\n        :param info: element info object as ``{\'fittings\':{}, \'production\':{},\'visibility\':\'BACK\'}``\n        :type info: dict\n        :param edge: edges on element\n        :type edge: list\n        :param number: number of elements to insert\n        :type number: int\n\n\n        function specified for creating not standard elements. With this\n        function you can usually creat almost any constructuion you would want.\n        Usually you will have to specify position, size and probably also area_id\n        '], ['add_empty', None], ['add_frame', "\n        :param area_id: id of area 0 or 2 or ``[1,2,3]`` to apply on multiple areas\n        :type area_id: int or list\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n        :param info: element info object as ``{'fittings':{}, 'production':{},'visibility':'BACK'}``\n        :type info: dict\n        :param planes: plane where to put frame\n        :type planes: int or list\n        :param mat: code of material U108\n        :type mat: str\n        :param mat_fill: code of fill material U108\n        :type mat_fill: str\n        :param insert_fill: code of fill material U108\n        :type insert_fill: bool\n        :param diff_fill: changes of space material inside frame [left,right, front,back, bottom, top]\n        :type diff_fill: list\n        :param low_profile: switch to low profile, usefull to create another type of frames\n        :type low_profile: bool\n        :param thick: thickness of profile\n        :type thick: int\n        :param width: width of profile\n        :type width: int\n        :param order: order of profiles put inside of frame\n        :type order: list\n        :param save: Save function\n        :type save: bool\n        :param post_diff: same as diff but affects only function after this one\n        :type post_diff: list\n\n        Inserts frame into the construction into specified plane of cube\n        "], ['add_func_run', "\n        :param area_id: id of area 0 or 2 or ``[1,2,3]`` to apply on multiple areas\n        :type area_id: int or list\n        :param number: list of functions or index of functions ie ``[['add_bar',{}]]``\n        :type number: list\n        :param save: Save function\n        :type save: bool\n        :param find: find data in self.data_functions\n        :type find: bool\n\n        function to run other functions with diffrent area_id. Usefull to create\n        and embed diffrent products inside diffrent one.\n        "], ['add_label', '\n        :param text: label text eg. ``Microwave``\n        :type text: str\n        :param area_id: id of area into which you want to place label\n        :type area_id: int or list\n        :param pos: XY pos - front view ``[50,60]``\n        :type pos: list\n        :param center: move text into the center of area True/False\n        :type center: bool\n\n        Function adds a text label into the front view of this product drawing\n        if both area_id and pos is filled in area_id returns center pos\n        of chosen area and pos parameter is apllied afterwards.\n        '], ['add_mod_element', "\n        :param index: element index in product\n        :type index: int or list\n        :param elementPosition: element position ``[1,100,300]``\n        :type elementPosition: list\n        :param elementRotation: element rotation ``[30,0,0]``\n        :type elementRotation: list\n        :param elementMaterial: element material ``[True,'MAT1',True]``\n        :type elementMaterial: list\n        :param sizeWidth: element size ``600``\n        :type sizeWidth: int\n        :param sizeThickness: element thickness ``20``\n        :type sizeThickness: int\n        :param sizeLength: element length ``2000``\n        :type sizeLength: int\n        :param elementEdge: element edge ``['X',0,0,'A']``\n        :type elementEdge: list\n        :param elementInfo: element info dict ``{}``\n        :type elementInfo: dict\n        "], ['add_shelve', "\n        :param area_id: area id number or list of numbers of areas 1 or ``[0,1]`` in self.divs\n        :type area_id: int or list\n        :param size: part size ``[600,330,18]`` or thickness 32\n        :type size: int or list\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n        :param mat: material id from database ``F509`` - open database library\n        :type mat: str\n        :param save: save function to data?\n        :type save: bool\n        :param info: element info object as ``{'fittings':{}, 'production':{},'visibility':'BACK'}``\n        :type info: dict\n        :param number: Number of shelves to create, or gaps between shelves\n        :type number: int or list\n\n        Appends main shelves to product, usefull for creation of main parts\n        diff - no automatic diff after insertion\n        "], ['add_side_left', "\n        :param area_id: area id number or list of numbers of areas 1 or ``[0,1]`` in self.divs\n        :type area_id: int or list\n        :param pos: inserts part to specified location ``[100,20,50]`` -\n        :type pos: list\n        :param size: part size ``[600,330,18]`` or thickness ``32``\n        :type size: int or list\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n        :param mat: material id from database ``F509`` - open database library\n        :type mat: str\n        :param save: save function to data?\n        :type save: bool\n        :param info: element info object as ``{'fittings':{}, 'production':{},'visibility':'BACK'}``\n        :type info: dict\n\n        Appends main side element to product, usefull for creation of main parts\n        "], ['add_side_right', "\n        :param area_id: area id number or list of numbers of areas 1 or ``[0,1]`` in self.divs\n        :type area_id: int or list\n        :param pos: inserts part to specified location ``[100,20,50]`` -\n        :type pos: list\n        :param size: part size ``[600,330,18]`` or thickness 32\n        :type size: int or list\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n        :param mat: material id from database ``F509`` - open database library\n        :type mat: str\n        :param save: save function to data?\n        :type save: bool\n        :param info: element info object as ``{'fittings':{}, 'production':{},'visibility':'BACK'}``\n        :type info: dict\n\n        Appends main side element to product, usefull for creation of main parts\n        "], ['add_socle', "\n        :param area_id: number of area to insert socle - 0,1 or ``[0,1,2]`` for multiple areas\n        :type area_id: int or list\n        :param mat: code of material 'H1111'\n        :type mat: str\n        :param save: True\n        :type save: bool\n        :param bottom: width of bottom element 90\n        :type bottom: int\n        :param top: width of top element 80\n        :type top: int\n        :param left: width of left element 50\n        :type left: int\n        :param right: width of right element 60\n        :type right: int\n        :param order: numbered order in which to insert elements ``[left,right,bottom, top]``\n        :type order: list\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n        :param info: element info object as ``{'fittings':{}, 'production':{},'visibility':'BACK'}``\n        :type info: dict\n\n        By default adds bottom ``element(socle)`` into the construction, by filling in\n        dimensions of other sides (left,right..) insert other distancing elements at\n        given position.\n        Applies only X and Z diffs, for advanced diffs use add_diffs.\n        Descreases usable volume of product by width\n\n        "], ['add_top', "\n        :param area_id: area id number or list of numbers of areas 1 or ``[0,1]`` in self.divs\n        :type area_id: int or list\n        :param pos: inserts part to specified location ``[100,20,50]`` -\n        :type pos: list\n        :param size: part size ``[600,330,18]`` or thickness ``32``\n        :type size: int or list\n        :param diff: differences in axis ``[X left, X right, Y front, Y back, Z bottom, Z top]``\n        :type diff: list\n        :param mat: material id from database ``F509`` - open database library\n        :type mat: str\n        :param save: save function to data?\n        :type save: bool\n        :param info: element info object as ``{'fittings':{}, 'production':{},'visibility':'BACK'}``\n        :type info: dict\n        :param bars_width: width of bars to replace Top element, 0 = False\n        :type bars_width: int\n\n        inserts top object into product or specified area id\n        "]]
parameters['PRODFUNC'] = [['add_del_element', {'index': None, 'save': True}], ['add_dividers', {'info': None, 'area_id': None, 'array_dist': None, 'mat': None, 'part_size': None, 'thickness': None, 'part': True, 'diff': None, 'save': True, 'typ': 'B', 'areas': True}], ['add_side_left', {'info': None, 'area_id': None, 'mat': None, 'pos': None, 'diff': None, 'save': True, 'size': None}], ['add_doors', {'info': None, 'area_id': None, 'handleHeight': 'TOP', 'mat': None, 'grains': True, 'handleSize': [160, 25, 5], 'stacking': 'HORIZONTAL', 'number': None, 'door_type': 'AUTOMAT', 'handlePos': [50, 50], 'style': 'FLAT', 'post_diff': None, 'handleOrientation': 'VERTICAL', 'diff': None, 'pars_front': [3, 3, 3, 3, 3], 'save': True, 'handleSide': None}], ['add_diffs', {'increase': True, 'diff': None, 'revert_last': False, 'save': True, 'area_id': None}], ['add_top', {'info': None, 'area_id': None, 'mat': None, 'bars_width': None, 'pos': None, 'diff': None, 'save': True, 'size': None}], ['add_bar', {'info': None, 'area_id': None, 'diff_Z': True, 'mat': None, 'diff_X': False, 'diff_Y': False, 'name': None, 'bar_width': 'Y', 'locations': [1, 2], 'grains': True, 'edge': None, 'bar_length': 'X', 'post_diff': None, 'diff': None, 'save': True, 'size': 70}], ['add_frame', {'info': None, 'area_id': None, 'thick_fill': None, 'mat': None, 'insert_fill': True, 'order': [0, 1, 2, 3], 'width': None, 'mat_fill': None, 'low_profile': True, 'post_diff': None, 'planes': None, 'edge_fill': None, 'diff': None, 'diff_fill': [0, 0, 5, 0, 0, 0], 'save': True, 'thick': None, 'edge_frame': None}], ['add_label', {'text': None, 'area_id': None, 'save': True, 'pos': None, 'center': True}], ['add_basic', {'info': None, 'area_id': None, 'variant': 'H', 'back': 5, 'socle': None, 'diff': None, 'save': True, 'top_bars': None}], ['add_backside', {'info': None, 'area_id': None, 'mat': None, 'offset': None, 'thickness': None, 'planes': 3, 'diff': None, 'save': True, 'groove': 7}], ['add_mod_element', {'sizeWidth': None, 'index': None, 'sizeThickness': None, 'elementPosition': None, 'sizeLength': None, 'elementMaterial': None, 'elementRotation': None, 'elementInfo': None, 'elementEdge': None, 'save': True}], ['add_base', {'info': None, 'area_id': None, 'mat': None, 'diff': None, 'save': True, 'size': None}], ['add_shelve', {'info': None, 'area_id': None, 'mat': None, 'number': None, 'diff': None, 'rotation': None, 'save': True, 'size': None}], ['add_side_right', {'info': None, 'area_id': None, 'mat': None, 'pos': None, 'diff': None, 'save': True, 'size': None}], ['add_drawers', {'info': None, 'area_id': None, 'handle': True, 'pars_in': [12, 12, 0, 40, 10, 40], 'grains': True, 'number': None, 'drawer_type': 'AUTOMAT', 'mat_front': None, 'diff': None, 'pars_front': [3, 3, 3, 3, 3], 'save': True, 'mat': None}], ['add_element', {'info': None, 'area_id': None, 'number': None, 'mat': None, 'typ': None, 'pos': None, 'name': None, 'edge': None, 'diff': None, 'save': True, 'rot': None, 'size': None}], ['add_func_run', {'area_id': None, 'save': True, 'number': None, 'find': False}], ['add_socle', {'info': None, 'area_id': None, 'right': None, 'mat': None, 'bottom': 50, 'top': None, 'diff': [0, 0, 2, 0, 0, 0], 'save': True, 'order': [0, 1, 2, 3], 'left': None}], ['add_empty', {'func_key': 'add_empty'}], ['add_area', {'area_id': None, 'name': None, 'pos': None, 'dims': True, 'diff': None, 'save': True, 'typ': None, 'kind': None, 'size': None}]]
